import * as React from 'react';
interface Props {
    title: string;
    tooltip: boolean;
    tooltipMsg: string;
    styles?: any;
    tooltipPlacement?: 'bottom-end' | 'bottom-start' | 'bottom' | 'left-end' | 'left-start' | 'left' | 'right-end' | 'right-start' | 'right' | 'top-end' | 'top-start' | 'top';
    variant: 'text' | 'flat' | 'outlined' | 'contained' | 'raised' | 'fab' | 'extendedFab';
    color: 'inherit' | 'primary' | 'secondary' | 'default' | undefined;
    classes?: any;
    type: 'button' | 'submit';
}
declare const LystButton: React.FunctionComponent<Props>;
export default LystButton;
