"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Button_1 = require("@material-ui/core/Button");
var Tooltip_1 = require("@material-ui/core/Tooltip");
var styleFactory_1 = require("../../customs/styleFactory");
var classnames_1 = require("classnames");
var LystButton = function (_a) {
    var _b;
    var title = _a.title, type = _a.type, tooltip = _a.tooltip, tooltipPlacement = _a.tooltipPlacement, variant = _a.variant, color = _a.color, styles = _a.styles, tooltipMsg = _a.tooltipMsg;
    var classes;
    styles ? (classes = styleFactory_1.default(styles)()) : null;
    var lystButton = (React.createElement(Button_1.default, { type: type, variant: variant, color: color, classes: {
            root: classnames_1.default((_b = {},
                _b[classes.button] = classes.button,
                _b))
        } }, title));
    return tooltip ? (React.createElement(Tooltip_1.default, { placement: tooltipPlacement, title: tooltipMsg }, lystButton)) : (lystButton);
};
LystButton.defaultProps = {
    styles: { button: null }
};
exports.default = LystButton;
//# sourceMappingURL=LystButton.js.map