"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ListItem_1 = require("@material-ui/core/ListItem");
var react_router_dom_1 = require("react-router-dom");
var ListItemText_1 = require("@material-ui/core/ListItemText");
var LystDrawerSubItem = function (_a) {
    var content = _a.content, path = _a.path, styles = _a.styles;
    // innerRef isnt required in NavLink types, so destructuring is needed
    // in order to only pass needed props to NavLink
    return (React.createElement(ListItem_1.default, { classes: {
            root: styles
        }, component: function (_a) {
            var innerRef = _a.innerRef, props = __rest(_a, ["innerRef"]);
            return React.createElement(react_router_dom_1.NavLink, __assign({}, props, { to: path }));
        } },
        React.createElement(ListItemText_1.default, { primary: content })));
};
exports.default = LystDrawerSubItem;
//# sourceMappingURL=LystDrawerSubItem.js.map