"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Menu_1 = require("@material-ui/core/Menu");
var classnames_1 = require("classnames");
var styles_1 = require("../../styles");
// styles for DropDown when drawer is positioned left
var LystDropDown = function (_a) {
    var _b;
    var anchorElement = _a.anchorElement, handleClose = _a.handleClose, children = _a.children, styles = _a.styles, position = _a.position;
    // MouseLeave and Click event listeners to unmounting DropDown
    // open/render DropDown only when anchorElement is truthy
    var defaultClasses = styles_1.DropDownStyles();
    return (React.createElement(Menu_1.default, { classes: {
            paper: classnames_1.default(styles, (_b = {},
                _b[defaultClasses.left] = position === 'left',
                _b[defaultClasses.right] = position === 'right',
                _b[defaultClasses.top] = position === 'top',
                _b))
        }, anchorEl: anchorElement, open: Boolean(anchorElement), MenuListProps: {
        // onMouseLeave: () => handleClose()
        }, onClick: function () { return handleClose(); } }, children));
};
exports.default = LystDropDown;
//# sourceMappingURL=LystDropDown.js.map