"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var AppBar_1 = require("@material-ui/core/AppBar");
var Toolbar_1 = require("@material-ui/core/Toolbar");
var Grid_1 = require("@material-ui/core/Grid");
var LystIconButton_1 = require("../LystIconButton");
// import withWidth, { isWidthUp } from '@material-ui/core/withWidth';
var ChevronLeft_1 = require("@material-ui/icons/ChevronLeft");
var Menu_1 = require("@material-ui/icons/Menu");
var CssBaseline_1 = require("@material-ui/core/CssBaseline");
var LystHeader = function (_a) {
    var open = _a.open, handleMenuClick = _a.handleMenuClick, children = _a.children;
    return (React.createElement(React.Fragment, null,
        React.createElement(CssBaseline_1.default, null),
        React.createElement(AppBar_1.default, { color: "primary", position: "sticky" },
            React.createElement(Toolbar_1.default, { variant: "dense" },
                React.createElement(Grid_1.default, { style: { padding: '0 .3rem' }, container: true },
                    React.createElement(LystIconButton_1.default, { styles: 'menu', handleClick: handleMenuClick }, open ? React.createElement(ChevronLeft_1.default, null) : React.createElement(Menu_1.default, null)),
                    React.createElement("img", { height: "32", src: "https://catalystrms.com/assets/templates/catalyst/images/catalyst-logo.png?v=2", style: { margin: 'auto 1rem' } }),
                    children)))));
};
// export default withWidth()(LystHeader);
exports.default = LystHeader;
//# sourceMappingURL=LystHeader.js.map