"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var CircularProgress_1 = require("@material-ui/core/CircularProgress");
var styles_1 = require("@material-ui/styles");
var LystLoading = function (_a) {
    var color = _a.color, classes = _a.classes, variant = _a.variant, thickness = _a.thickness, size = _a.size;
    return (React.createElement("div", { style: {
            position: 'absolute',
            height: '100vh',
            width: '100vw',
            opacity: 0.8,
            zIndex: 1500
        } },
        React.createElement("div", { className: classes
                ? classes.rootContainer
                : styles_1.makeStyles(function (theme) {
                    return {
                        rootContainer: {
                            background: theme.palette.secondary.contrastText,
                            height: '100%',
                            width: '100%',
                            backgroundBlendMode: 'multiply',
                            position: 'relative'
                        }
                    };
                })().rootContainer },
            React.createElement(CircularProgress_1.default, { thickness: thickness ? thickness : 3.6, size: size ? size : 100, variant: variant ? variant : 'indeterminate', color: color ? color : 'primary', style: {
                    position: 'absolute',
                    left: 0,
                    right: 0,
                    top: 0,
                    bottom: 0,
                    margin: 'auto'
                } }))));
};
exports.default = LystLoading;
//# sourceMappingURL=LystLoading.js.map