"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var RadioGroup_1 = require("@material-ui/core/RadioGroup");
var Radio_1 = require("@material-ui/core/Radio");
var classnames_1 = require("classnames");
var styles_1 = require("../../styles");
var styleFactory_1 = require("../../customs/styleFactory");
var LystRadioGroup = function (_a) {
    var _b;
    var classes = _a.classes, styles = _a.styles, formLabel = _a.formLabel, handleChange = _a.handleChange, items = _a.items;
    var radioClasses = styles_1.RadioGroupStyles();
    var customStyles;
    styles ? (customStyles = styleFactory_1.default(styles)()) : null;
    return (React.createElement(RadioGroup_1.default, { classes: {
            root: classnames_1.default((_b = {},
                _b[radioClasses.default] = true,
                _b[radioClasses.row] = classes === 'row',
                _b[customStyles.radio] = customStyles.radio,
                _b))
        } }, items.map(function (name, index) { return (React.createElement(Radio_1.default, { onClick: function (event) { return handleChange(event); }, disableRipple: true, key: "radio_item-" + index, value: name, name: "radio-item-" + name })); })));
};
exports.default = LystRadioGroup;
//# sourceMappingURL=LystRadioGroup.js.map