import * as React from 'react';
import Avatar from '@material-ui/core/Avatar';

const LystAvatar: React.FunctionComponent<{
  initials: string;
  handleClick: Function;
}> = ({ initials, handleClick }) => {
  return (
    <div style={{ margin: 'auto 0' }} id={initials}>
      <Avatar onClick={event => handleClick(event)} alt="user initials">
        {initials}
      </Avatar>
    </div>
  );
};

export default LystAvatar;
