import * as React from 'react';
import MenuItem from '@material-ui/core/MenuItem';

const LystDropDownItem: React.FunctionComponent<{
  content?: any;
  component?: any;
}> = ({ content, component }) => (
  <MenuItem component={component ? props => component(props) : 'li'}>
    {content}
  </MenuItem>
);

export default LystDropDownItem;
