import * as React from 'react';
import { MuiThemeProvider } from '@material-ui/core/styles';
import { ThemeProvider } from '@material-ui/styles';

interface ThemeProps {
  theme: any;
  children: React.ReactChild;
}

const LystThemeProvider: React.FunctionComponent<ThemeProps> = ({
  theme,
  children
}) => {
  return (
    <ThemeProvider theme={theme}>
      <MuiThemeProvider theme={theme}>{children}</MuiThemeProvider>
    </ThemeProvider>
  );
};

export default LystThemeProvider;
