import * as React from 'react';
import Typography from '@material-ui/core/Typography';

const LystTypography: React.FunctionComponent<{
  component?: any;
  align: 'inherit' | 'left' | 'center' | 'right' | 'justify';
  variant: any;
  children: React.ReactNode;
}> = ({ component, variant, children, align }) => (
  <Typography variant={variant} align={align} component={component}>
    {children}
  </Typography>
);

export default LystTypography;
