import React from 'react';
import LystLoginPage from '../demos/LystLoginPage';
import { storiesOf } from '@storybook/react';
import LystThemeProvider from '../components/LystThemeProvider';

storiesOf('Login Page', module)
  .addWithJSX('Orange', () => (
    <LystThemeProvider theme={'orange'}>
      <LystLoginPage />
    </LystThemeProvider>
  ))
  .addWithJSX('Blue Style', () => (
    <LystThemeProvider theme={'blue'}>
      <LystLoginPage />
    </LystThemeProvider>
  ))
  .addWithJSX('Green Style', () => (
    <LystThemeProvider theme={'green'}>
      <LystLoginPage />
    </LystThemeProvider>
  ));
