"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ListItem_1 = require("@material-ui/core/ListItem");
var Tooltip_1 = require("@material-ui/core/Tooltip");
var ListItemIcon_1 = require("@material-ui/core/ListItemIcon");
var ListItemText_1 = require("@material-ui/core/ListItemText");
var LystDrawerItem = function (_a) {
    var styles = _a.styles, name = _a.name, Icon = _a.Icon, divider = _a.divider, placement = _a.placement, tooltip = _a.tooltip, handleClick = _a.handleClick, tabIndex = _a.tabIndex;
    // store listitem jsx for readable conditional rendering
    var listItem = (React.createElement(ListItem_1.default, { key: "list-item-" + tabIndex, divider: divider, onClick: function (event) { return handleClick(event); }, tabIndex: tabIndex, button: true, id: name, classes: {
            root: styles
        } },
        React.createElement(ListItemIcon_1.default, null,
            React.createElement(Icon, null)),
        React.createElement(ListItemText_1.default, { primary: name })));
    return tooltip ? (
    // Show a tooltip w/listItem only if drawer is closed
    React.createElement(Tooltip_1.default, { placement: placement, title: name }, listItem)) : (
    // else only render listItem
    listItem);
};
exports.default = LystDrawerItem;
//# sourceMappingURL=LystDrawerItem.js.map