/// <reference types="react" />
/// <reference types="react-addons-linked-state-mixin" />
export declare const drawerHook: (open: boolean) => {
    selectedIndex: number;
    anchorElement: import("react").ReactNode;
    handleListItemClick: (event: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
    handleClose: () => void;
};
export declare const dropDownHook: () => {
    anchorElement: import("react").ReactNode;
    handleIconClick: (event: import("react").MouseEvent<HTMLElement, MouseEvent>) => void;
    handleClose: () => void;
};
export declare const loginFormHooks: () => {
    password: string;
    username: string;
    handleChange: (prop: "password" | "username") => (event: import("react").ChangeEvent<HTMLInputElement>) => void;
};
export declare const inputHooks: () => {
    handlePasswordIconClick: () => void;
    showPassword: boolean;
};
