import * as React from 'react';
import Collapse from '@material-ui/core/Collapse';

const LystCollapsible: React.FunctionComponent<{
  children: React.ReactNode;
  open: boolean;
}> = ({ open, children }): React.FunctionComponentElement<{}> => (
  <Collapse in={open} timeout="auto" unmountOnExit>
    {children}
  </Collapse>
);

export default LystCollapsible;
