import * as React from 'react';
import Grid from '@material-ui/core/Grid';
import LystLoginForm from '../components/LystLoginForm';

const fieldStyles = {
  input: {
    length: '10rem'
  },
  icon: {
    fill: 'palette.primaryMain'
  }
};

const buttonStyles = {
  button: {
    margin: '2rem 0'
  }
};

const LystLoginPage: React.FunctionComponent<{ styles?: any }> = ({
  styles
}) => {
  const testingSubmit = (event: any) => {
    event.preventDefault();
    let { username, password } = event.target;
    username = username.value;
    password = password.value;
    // Dispatch action to submit login info
    // loginUser({username, password})
  };

  return (
    <Grid container={true} justify={'center'}>
      <img
        src={
          'https://catalystrms.com/assets/templates/catalyst/images/catalyst-logo.png?v=2'
        }
        height={100}
        width={300}
        style={{ margin: '2rem' }}
      />
      <LystLoginForm
        fieldStyles={fieldStyles}
        buttonStyles={buttonStyles}
        handleSubmit={testingSubmit}
      />
    </Grid>
  );
};

export default LystLoginPage;
