import React from 'react';
import themes from '../customs/themes';
import { storiesOf } from '@storybook/react';
import Landing from '../demos/Landing.tsx';
import LystThemeProvider from '../components/LystThemeProvider';

storiesOf('Demos', module).addWithJSX('Landing', () => (
  <LystThemeProvider theme={themes['orange']}>
    <Landing />
  </LystThemeProvider>
));
